Get a hierarchy version by ID
Learn more about how to use the Get Hierarchy Version API to retrieve the metadata for a specific hierarchy version by ID.
Use the Get Hierarchy Version to retrieve the metadata for a specific hierarchy version by ID. This operation requires the MDM.Data.Hierarchy permission with the READ privilege.
HTTP method and endpoint
Use the following HTTP method and endpoint path to submit the request:
GET https://<environment>.reltio.com/reltio/api/{tenantId}/hierarchies/list/{hierarchyId}/versions/{versionId}
Request headers
The following request headers must be included.
| Header | Value | Required |
|---|---|---|
Authorization | Bearer <token> | Yes |
Request body
This operation does not require a request body.
Example request
Use the following example to see how a complete request is structured with headers.
GET /list/prd/versions/version1
Authorization: Bearer <token>
Response fields
The following table describes the fields returned in the response body.
| Field | Type | Description |
|---|---|---|
instanceId | String | The hierarchy instance ID. |
versionId | String | The version ID. |
name | String | The name of the version. |
status | String | Optional. The status of the version. |
effectiveStartDate | String | Optional. The start effective date of the version in ISO 8601 date format. |
effectiveEndDate | String | Optional. The end effective date of the version in ISO 8601 date format. |
description | String | Optional. The description of the version. |
context | String | Optional. Additional context for the version. |
createdBy | String | The username of the user who created the version. |
createdTime | String | The time when the version was created, in ISO 8601 date-time format. |
updatedBy | String | The username of the user who last updated the version. |
updatedTime | String | The time when the version was last updated, in ISO 8601 date-time format. |
Example response
The following example shows the response body.
{
"instanceId": "prd.version1",
"versionId": "version1",
"name": "Version 1",
"status": "ACTIVE",
"effectiveStartDate": "2024-01-01",
"effectiveEndDate": "2026-12-31",
"description": "longDescription",
"context": "longContextDescription",
"createdBy": "john.smith@reltio.com",
"createdTime": "2024-10-10T10:13:30",
"updatedBy": "john.smith@reltio.com",
"updatedTime": "2024-10-10T10:15:30"
}